import CSSStyleSheet from '../../css/CSSStyleSheet';
import HTMLElement from '../html-element/HTMLElement';
import IHTMLStyleElement from './IHTMLStyleElement';
/**
 * HTML Style Element.
 *
 * Reference:
 * https://developer.mozilla.org/en-US/docs/Web/API/HTMLStyleElement
 */
export default class HTMLStyleElement extends HTMLElement implements IHTMLStyleElement {
    /**
     * Returns CSS style sheet.
     *
     * @return CSS style sheet.
     */
    get sheet(): CSSStyleSheet;
    /**
     * Returns media.
     *
     * @return media.
     */
    get media(): string;
    /**
     * Sets media.
     *
     * @param media media.
     */
    set media(media: string);
    /**
     * Returns type.
     *
     * @return type.
     */
    get type(): string;
    /**
     * Sets type.
     *
     * @param type type.
     */
    set type(type: string);
    /**
     * Returns disabled.
     *
     * @return Disabled.
     */
    get disabled(): boolean;
    /**
     * Sets disabled.
     *
     * @param disabled Disabled.
     */
    set disabled(disabled: boolean);
}
